<?php

namespace FiloBlu\KlarnaOnsiteMessaging\Block;

use Magento\Store\Model\ScopeInterface;

class AfterBodyStart extends \Magento\Framework\View\Element\Template {

    protected $_helper;

    public function __construct(
        \FiloBlu\KlarnaOnsiteMessaging\Helper\Data $helper,
        \Magento\Framework\View\Element\Template\Context $context,
        array $data = []
    ) {
        $this->_helper = $helper;
        parent::__construct($context, $data);
    }

	public function getDataClientId() {
		return $this->_helper->getConfig("onsite_messaging/data_client_id");
	}

	public function getScript() {
		return $this->_helper->getConfig("onsite_messaging/script");
	}

	public function isActive() {
		return $this->_helper->getConfig("onsite_messaging/active");
	}
}
